
/* ace1 Ace Editor */

	var ace1 = ace.edit("ace1");
	ace.require("ace/ext/language_tools");
	ace.require("ace/ext/beautify");
	ace1.session.setMode("ace/mode/javascript");
	ace1.setTheme("ace/theme/ambiance");
	// enable autocompletion
		ace1.setOptions({
			enableBasicAutocompletion: true,
			enableLiveAutocompletion: true
		});

ace1.commands.on("afterExec", function(e){
	if (e.command.name == "insertstring"&&/^[\w.]$/.test(e.args)) {
	ace1.execCommand("startAutocomplete")
}
});

ace1.on("blur", function(){
	executeInXojo("blur", "");
});

ace1.on("change", function(e){
	executeInXojo("change", btoa(JSON.stringify(e)));
});

ace1.on("copy", function(e){
	executeInXojo("copy", e.text);
});

ace1.on("focus", function(){
	executeInXojo("focus", "");
});

ace1.on("paste", function(e){
	executeInXojo("paste", e.text);
});
	
	
/* End Ace Editor */